MediaWiki:Common.css

From TheBeard Science Project Wiki
Revision as of 11:52, 13 March 2020 by Beard (talk | contribs)

Jump to: navigation, search

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Go to Menu → Settings (Opera → Preferences on a Mac) and then to Privacy & security → Clear browsing data → Cached images and files.
/* CSS placed here will be applied to all skins */

/* No numbering in table of contents. To use: <div class="noautonum">__TOC__</div> */
.noautonum .tocnumber { display: none; }

.c, .C {
  font-family: monospace, Courier;
  font-size: 15px;
}

i {
  color: #252525;
}

.fp-box {
  display: inline-block;
  text-align: center;
}

.red-box, .redbox, .error-box, .errorbox, .error, .tofix, .to-fix, .fix {
  border: 1px solid #E99494;
  background: #FFA4A4;
  min-height: 40px;
  padding: 5px 20px 5px 20px;
  margin: 3px;
}

pre.output,
pre.out,
pre.result {
  border: none;
  margin-left: 20px;
  padding-left: 10px;
  /* font-style: italic; */
}

pre.output:before,
pre.out:before,
pre.result:before {
  /* content: "\21d2"; */
  content: "\21aa";
  position: relative;
  left: -30px;
  margin-right: -13.5px;
  font-weight: bold;
  font-size: 16px;
  font-style: normal;
  color: #666;
}

pre.dot, pre.dotted {
  border: 1.2px dashed rgb(221, 221, 221);
  font-style: italic;
  /* border-style: dashed; */
}

div.box,
div.graybox {
  border: none;
  padding-left: 10px;
  border: 1px solid #ddd;
  background: #f9f9f9;
}

.red {
  color: red;
}

.left {
  float: left;
  margin-right: 20px;
}

.right {
  float: right;
  margin-left: 20px;
}

table.nice {
	border: none;
}

table.nice th,
table.nice tr,
table.nice td {
	padding: 6px;
}

table.nice th {
	background: #808080;
	color: #fff;
}

table.nice tr {

}

table.nice td {
	background: #ddd;
}

table.no-space {
	border-spacing: 0;
}

table.striped tr:nth-child(even) td {
	background: #bbb;
}

table.striped tr:nth-child(odd) td {
	background: #ddd;
}

.table-valign-top td,
table.top td,
table.top th {
	vertical-align: top;
}

table.middle {
	display: block;
	width: auto;
	margin: 0 auto;
}
table.middle td {
	width: auto;
}